all : ponytracker clean

ponytracker : main.o lecture.o motifs.o melodie.o
	gcc -L/opt/local/lib -lsdl -lsdl_mixer -lsdlmain -Wall main.o lecture.o motifs.o melodie.o -o ponytracker `pkg-config --cflags --libs gtk+-3.0 gmodule-2.0`

main.o : main.c
	gcc -L/opt/local/lib -lsdl -lsdl_mixer -lsdlmain -Wall -c main.c `pkg-config --cflags --libs gtk+-3.0 gmodule-2.0`

motifs.o : motifs/motifs.c motifs/motifs.h
	gcc -Wall -c motifs/motifs.c

melodie.o : melodie/melodie.c melodie/melodie.h
	gcc -Wall -c melodie/melodie.c

lecture.o : lecture/lecture.c lecture/lecture.h
	gcc -L/opt/local/lib -lsdl -lsdl_mixer -lsdlmain -Wall -c lecture/lecture.c

clean :
	rm -f *.o
